Skip to main content
PATCH
/
sources
/
{source_id}
Update source
curl --request PATCH \
  --url https://api.prequel.co/sources/{source_id} \
  --header 'Content-Type: application/json' \
  --header 'X-API-KEY: <api-key>' \
  --data '
{
  "source": {
    "name": "<string>",
    "max_concurrent_transfers": 123,
    "aurora_mysql": {
      "host": "<string>",
      "port": 123,
      "connection_database": "<string>",
      "auth_method": "password_auth",
      "password_auth": {
        "username": "<string>",
        "password": "<string>"
      },
      "use_ssh_tunnel": true,
      "disable_ssl": true
    },
    "aurora_postgres": {
      "host": "<string>",
      "port": 123,
      "database": "<string>",
      "auth_method": "password_auth",
      "password_auth": {
        "username": "<string>",
        "password": "<string>"
      },
      "use_ssh_tunnel": true,
      "disable_ssl": true,
      "connection_timeout_in_seconds": 1
    },
    "databricks": {
      "host": "<string>",
      "port": 123,
      "catalog": "<string>",
      "http_path": "<string>",
      "oauth_client_secret_auth": {
        "client_id": "<string>",
        "client_secret": "<string>"
      },
      "hive": {
        "bucket_vendor": "bucket_s3",
        "bucket_s3": {
          "bucket_name": "<string>",
          "bucket_region": "<string>",
          "aws_access_keys": {
            "access_id": "<string>",
            "secret_key": "<string>"
          }
        }
      },
      "use_ssh_tunnel": true
    },
    "mongodb": {
      "host": "<string>",
      "port": 123,
      "authentication_database": "<string>",
      "password_auth": {
        "username": "<string>",
        "password": "<string>"
      },
      "use_ssh_tunnel": true,
      "disable_ssl": true
    },
    "mysql": {
      "host": "<string>",
      "port": 123,
      "connection_database": "<string>",
      "auth_method": "password_auth",
      "password_auth": {
        "username": "<string>",
        "password": "<string>"
      },
      "use_ssh_tunnel": true,
      "disable_ssl": true
    },
    "oracle": {
      "ssl_options": {
        "wallet": "<string>"
      },
      "disable_ssl": "<unknown>",
      "host": "<string>",
      "port": 123,
      "database": "<string>",
      "auth_method": "password_auth",
      "password_auth": {
        "username": "<string>",
        "password": "<string>"
      },
      "use_ssh_tunnel": true
    },
    "postgres": {
      "host": "<string>",
      "port": 123,
      "database": "<string>",
      "auth_method": "password_auth",
      "password_auth": {
        "username": "<string>",
        "password": "<string>"
      },
      "use_ssh_tunnel": true,
      "disable_ssl": true,
      "connection_timeout_in_seconds": 1
    },
    "singlestore": {
      "host": "<string>",
      "port": 123,
      "connection_database": "<string>",
      "auth_method": "password_auth",
      "password_auth": {
        "username": "<string>",
        "password": "<string>"
      },
      "use_ssh_tunnel": true,
      "disable_ssl": true
    },
    "snowflake": {
      "username": "<string>",
      "host": "<string>",
      "port": 123,
      "database": "<string>"
    },
    "sql_server": {
      "host": "<string>",
      "port": 123,
      "database": "<string>",
      "auth_method": "password_auth",
      "password_auth": {
        "username": "<string>",
        "password": "<string>"
      },
      "use_ssh_tunnel": true,
      "disable_ssl": true
    }
  }
}
'
{
  "status": "<string>",
  "data": {
    "source": {
      "athena": {
        "workgroup": "<string>",
        "connection_database": "<string>",
        "bucket_s3": {
          "bucket_name": "<string>",
          "bucket_region": "<string>"
        },
        "auth_method": "<unknown>",
        "aws_iam_role": {
          "aws_iam_role_arn": "<string>"
        }
      },
      "id": "<string>",
      "vendor": "<string>",
      "name": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "max_concurrent_transfers": 123,
      "max_concurrent_queries_per_transfer": 123
    },
    "ssh_public_key": "<string>"
  },
  "message": "<string>"
}

Authorizations

X-API-KEY
string
header
required

Path Parameters

source_id
string
required

Source ID.

Body

application/json
source
object
required

Response

OK

status
string
required
Allowed value: "success"
data
object
required
message
string
required